#
# Cookbook Name:: cyclecloud
# Recipe:: _cluster_publisher
#
# Copyright 2015, Cycle Computing
#
# All rights reserved - Do Not Redistribute
#

bootstrap_dir = node[:cyclecloud][:bootstrap]
service_dir = "#{node['cyclecloud']['home']}/config/service.d"
publish_interval = '15'

directory service_dir do
  recursive true
  if node[:os] != 'windows'
    owner 'root'
    group 'root'
    mode '0770'
  end
end

publish_script = "#{bootstrap_dir}/publish_cluster_services.py"
cookbook_file publish_script do
  source 'publish_cluster_services.py'
  if node[:os] != 'windows'
    owner 'root'
    group 'root'
    mode '0750'
  end
  action :create
end

if node[:os] == 'windows'

  cookbook_file "#{bootstrap_dir}\\run_publish_cluster_services.bat" do
    source 'run_publish_cluster_services.bat'
  end

  # setup cron w/ schtasks.exe
  taskname = 'publish_cluster_services'
  taskrun = "#{bootstrap_dir}\\run_publish_cluster_services.bat"
  schedule = 'MINUTE'
  modifier = publish_interval

  cmd = "schtasks /Create /TN #{taskname} /SC #{schedule} /MO #{modifier} /F /RU \"System\" /TR #{taskrun}"
  execute "schtasks #{taskname}" do
    command cmd
  end

else # linux

  cron 'publish_cluster_services' do
    minute "*/#{publish_interval}"
    command "#{bootstrap_dir}/cron_wrapper.sh #{publish_script} > #{bootstrap_dir}/publish_cluster_services.log 2>&1"
  end

end
