return unless node[:platform] == 'redhat'

# Older versions of RHEL on azure have outdated certificates preventing yum
# from working correctly. Update the package to get the latest certs if it's a MS RHEL image.

# DEPRECATED: This should be REMOVED in CycleCloud 8 - we are getting out of the game of patching images to be compatible
# in the future if an image is bad a user will have to pick a compatible image, bake an image with the appropriate patches
# pre installed or use some kinda pre/post script feature we will be adding.
# NOTE: We don't install rhui if rhui-eus is already installed as it is on some "new" versions of "old" rhel (i.e. a 2019 version of RHEL 7.4)
# NOTE: If we were going to support this moving forward we would want to conditionally install the EUS version on older RHEL versions, but we 
# are deprecating this so no big deal.
yum_package "rhui-azure-rhel#{node[:platform_version].to_i}" do
  options ["--disablerepo=*", "--enablerepo=rhui-microsoft-*"]
  action :upgrade
  not_if { node['cyclecloud']['disable_rhui']}
  not_if "yum list installed rhui-azure-rhel#{node[:platform_version].to_i}-eus"
  only_if { node[:platform] == "redhat" }
  only_if "yum repolist --disablerepo=* --enablerepo=rhui-microsoft-* | grep rhui-microsoft-azure-rhel#{node[:platform_version].to_i}"
end
  