#
# Cookbook Name:: cyclecloud
# Recipe:: _first
#
# Copyright 2018, Microsoft
#
# All rights reserved - Do Not Redistribute

# @deprecated in 8.0

# 3883324:
# openlogic? method checks recursive azure keys down to publisher.
# Otherwise, this recipe will fail if azure.metadata.compute.publisher is not set.
return unless node['platform_family'] == 'rhel' && node['platform_version'].to_i >= 7
return unless openlogic?

replace_or_add 'turn off fastest mirror plugin' do
  path '/etc/yum/pluginconf.d/fastestmirror.conf'
  line 'enabled=0'
  pattern 'enabled=.*'
end

replace_or_add 'turn off http_caching in yum.conf' do
  path '/etc/yum.conf'
  line 'http_caching=none'
  pattern 'http_caching=.*'
end

execute 'yum clean all' do
  action :nothing
  subscribes :run, 'replace_or_add[turn off http_caching in yum.conf]', :immediately
end

# deltarpm seems to alleviate local yum cache corruption
# so, we'll install this early on.
package 'deltarpm' do
  # After we clear the yum cache there seems to be a tendency
  # for DNS resolution to fail on the Rogue Wave centos mirror.
  # Therefore we'll inject a few retries to the first yum transaction, post cache-clear.
  retries 3
end
