# DEPRECATED: This should be removed in CycleCloud 8 along with the other RHUI related code.
describe 'cyclecloud::_rhui' do
  context 'standard' do
    cached(:chef_run) do
      ChefSpec::SoloRunner.new(platform: 'redhat', version: '7.4') do |node|
      end.converge('cyclecloud::_rhui')
    end

    before do
      stub_command("yum list installed rhui-azure-rhel7-eus").and_return(false)  # rhui-azure-rhel7-eus is not installed
      stub_command("yum repolist --disablerepo=* --enablerepo=rhui-microsoft-* | grep rhui-microsoft-azure-rhel7").and_return(true)
    end

    it 'installs rhui package to update SSL certs' do
      expect(chef_run).to upgrade_yum_package('rhui-azure-rhel7')
    end
  end
  context 'disabled' do
    cached(:chef_run) do
      ChefSpec::SoloRunner.new(platform: 'redhat', version: '7.4') do |node|
        node.override['cyclecloud']['disable_rhui'] = true
      end.converge('cyclecloud::_rhui')
    end
    
    before do
      stub_command("yum list installed rhui-azure-rhel7-eus").and_return(false)  # rhui-azure-rhel7-eus is not installed
      stub_command("yum repolist --disablerepo=* --enablerepo=rhui-microsoft-* | grep rhui-microsoft-azure-rhel7").and_return(true)
    end
  
    it 'does not install rhui package to update SSL certs' do
      expect(chef_run).to_not upgrade_yum_package('rhui-azure-rhel7')
    end
  end
  context 'rhui-azure-rhel7-eus is already installed' do
    cached(:chef_run) do
      ChefSpec::SoloRunner.new(platform: 'redhat', version: '7.4') do |node|
      end.converge('cyclecloud::_rhui')
    end
    
    before do
      stub_command("yum list installed rhui-azure-rhel7-eus").and_return(true)  # rhui-azure-rhel7-eus is installed!
      stub_command("yum repolist --disablerepo=* --enablerepo=rhui-microsoft-* | grep rhui-microsoft-azure-rhel7").and_return(true)
    end
  
    it 'does not install rhui package to update SSL certs' do
      expect(chef_run).to_not upgrade_yum_package('rhui-azure-rhel7')
    end
  end
end